genphy_update_link
Prev | PHY Support | Next

## Name

genphy_update_link — update link status in `phydev`

## Synopsis

`int genphy_update_link (` | struct phy_device * | phydev`)`;

## Arguments

`phydev`

  target phy_device struct

## Description

Update the value in phydev->link to reflect the current link value. In order to do this, we need to read the status register twice, keeping the second value.

Prev | Up | Next
genphy_config_aneg | Home | genphy_read_status